/***************************************************************************/
/* The Minstrel's Song is (c) 1998-2005 by Jonathan Hayward.  See the file */
/* lib/copyrigh.txt for a copyright and license statement.                 */
/***************************************************************************/

#include <gtk/gtk.h>
#include "tms.h"

#ifdef GTK

void menu_file_new_game(void)
    {
    enqueue_request(MENU_FILE_NEW_GAME);
    }

void menu_file_open_game(void)
    {
    enqueue_request(MENU_FILE_OPEN_GAME);
    }

void menu_file_save_game(void)
    {
    enqueue_request(MENU_FILE_SAVE_GAME);
    }

void menu_file_end_game(void)
    {
    enqueue_request(MENU_FILE_END_GAME);
    }

void menu_file_quit_the_minstrels_song(void)
    {
    enqueue_request(MENU_FILE_QUIT_THE_MINSTRELS_SONG);
    }

void menu_movement_left(void)
    {
    enqueue_request(MENU_MOVEMENT_LEFT);
    }

void menu_movement_right(void)
    {
    enqueue_request(MENU_MOVEMENT_RIGHT);
    }

void menu_movement_up(void)
    {
    enqueue_request(MENU_MOVEMENT_UP);
    }

void menu_movement_down(void)
    {
    enqueue_request(MENU_MOVEMENT_DOWN);
    }

void menu_movement_up_and_left(void)
    {
    enqueue_request(MENU_MOVEMENT_UP_AND_LEFT);
    }

void menu_movement_up_and_right(void)
    {
    enqueue_request(MENU_MOVEMENT_UP_AND_RIGHT);
    }

void menu_movement_down_and_left(void)
    {
    enqueue_request(MENU_MOVEMENT_DOWN_AND_LEFT);
    }

void menu_movement_down_and_right(void)
    {
    enqueue_request(MENU_MOVEMENT_DOWN_AND_RIGHT);
    }

void menu_movement_jog_left(void)
    {
    enqueue_request(MENU_MOVEMENT_JOG_LEFT);
    }

void menu_movement_jog_right(void)
    {
    enqueue_request(MENU_MOVEMENT_JOG_RIGHT);
    }

void menu_movement_jog_up(void)
    {
    enqueue_request(MENU_MOVEMENT_JOG_UP);
    }

void menu_movement_jog_down(void)
    {
    enqueue_request(MENU_MOVEMENT_JOG_DOWN);
    }

void menu_movement_jog_up_and_left(void)
    {
    enqueue_request(MENU_MOVEMENT_JOG_UP_AND_LEFT);
    }

void menu_movement_jog_up_and_right(void)
    {
    enqueue_request(MENU_MOVEMENT_JOG_UP_AND_RIGHT);
    }

void menu_movement_jog_down_and_left(void)
    {
    enqueue_request(MENU_MOVEMENT_JOG_DOWN_AND_LEFT);
    }

void menu_movement_jog_down_and_right(void)
    {
    enqueue_request(MENU_MOVEMENT_JOG_DOWN_AND_RIGHT);
    }

void menu_movement_run_left(void)
    {
    enqueue_request(MENU_MOVEMENT_RUN_LEFT);
    }

void menu_movement_run_right(void)
    {
    enqueue_request(MENU_MOVEMENT_RUN_RIGHT);
    }

void menu_movement_run_up(void)
    {
    enqueue_request(MENU_MOVEMENT_RUN_UP);
    }

void menu_movement_run_down(void)
    {
    enqueue_request(MENU_MOVEMENT_RUN_DOWN);
    }

void menu_movement_run_up_and_left(void)
    {
    enqueue_request(MENU_MOVEMENT_RUN_UP_AND_LEFT);
    }

void menu_movement_run_up_and_right(void)
    {
    enqueue_request(MENU_MOVEMENT_RUN_UP_AND_RIGHT);
    }

void menu_movement_run_down_and_left(void)
    {
    enqueue_request(MENU_MOVEMENT_RUN_DOWN_AND_LEFT);
    }

void menu_movement_run_down_and_right(void)
    {
    enqueue_request(MENU_MOVEMENT_RUN_DOWN_AND_RIGHT);
    }

void menu_actions_activate_an_item(void)
    {
    enqueue_request(MENU_ACTIONS_ACTIVATE_AN_ITEM);
    }

void menu_actions_activate_your_location(void)
    {
    enqueue_request(MENU_ACTIONS_ACTIVATE_YOUR_LOCATION);
    }

void menu_actions_clean_an_animals_carcass(void)
    {
    enqueue_request(MENU_ACTIONS_CLEAN_AN_ANIMALS_CARCASS);
    }

void menu_actions_close_a_door(void)
    {
    enqueue_request(MENU_ACTIONS_CLOSE_A_DOOR);
    }

void menu_actions_close_an_item(void)
    {
    enqueue_request(MENU_ACTIONS_CLOSE_AN_ITEM);
    }

void menu_actions_cover_with_poison(void)
    {
    enqueue_request(MENU_ACTIONS_COVER_WITH_POISON);
    }

void menu_actions_dismount_your_steed(void)
    {
    enqueue_request(MENU_ACTIONS_DISMOUNT_YOUR_STEED);
    }

void menu_actions_drink_quaff_a_liquid(void)
    {
    enqueue_request(MENU_ACTIONS_DRINK_QUAFF_A_LIQUID);
    }

void menu_actions_drop_an_item(void)
    {
    enqueue_request(MENU_ACTIONS_DROP_AN_ITEM);
    }

void menu_actions_drop_money(void)
    {
    enqueue_request(MENU_ACTIONS_DROP_MONEY);
    }

void menu_actions_eat_munch_food(void)
    {
    enqueue_request(MENU_ACTIONS_EAT_MUNCH_FOOD);
    }

void menu_actions_enter_or_exit_a_level(void)
    {
    enqueue_request(MENU_ACTIONS_ENTER_OR_EXIT_A_LEVEL);
    }

void menu_actions_equip_ie_start_using_an_item(void)
    {
    enqueue_request(MENU_ACTIONS_EQUIP_IE_START_USING_AN_ITEM);
    }

void menu_actions_examine_an_item_in_your_possession_more_closely(void)
    {
    enqueue_request(MENU_ACTIONS_EXAMINE_AN_ITEM_IN_YOUR_POSSESSION_MORE_CLOSELY);
    }

void menu_actions_examine_your_surroundings_more_closely(void)
    {
    enqueue_request(MENU_ACTIONS_EXAMINE_YOUR_SURROUNDINGS_MORE_CLOSELY);
    }

void menu_actions_fill_an_item_with_oil(void)
    {
    enqueue_request(MENU_ACTIONS_FILL_AN_ITEM_WITH_OIL);
    }

void menu_actions_fill_an_item_with_water(void)
    {
    enqueue_request(MENU_ACTIONS_FILL_AN_ITEM_WITH_WATER);
    }

void menu_actions_fire_or_throw_a_missle_weapon(void)
    {
    enqueue_request(MENU_ACTIONS_FIRE_OR_THROW_A_MISSLE_WEAPON);
    }

void menu_actions_fly_or_land(void)
    {
    enqueue_request(MENU_ACTIONS_FLY_OR_LAND);
    }

void menu_actions_gather_fruit_or_wood_from_a_tree(void)
    {
    enqueue_request(MENU_ACTIONS_GATHER_FRUIT_OR_WOOD_FROM_A_TREE);
    }

void menu_actions_give_a_name_to_another_creature(void)
    {
    enqueue_request(MENU_ACTIONS_GIVE_A_NAME_TO_ANOTHER_CREATURE);
    }

void menu_actions_give_an_item_to_another_creature(void)
    {
    enqueue_request(MENU_ACTIONS_GIVE_AN_ITEM_TO_ANOTHER_CREATURE);
    }

void menu_actions_go_to_sleep(void)
    {
    enqueue_request(MENU_ACTIONS_GO_TO_SLEEP);
    }

void menu_actions_insert_one_item_into_another(void)
    {
    enqueue_request(MENU_ACTIONS_INSERT_ONE_ITEM_INTO_ANOTHER);
    }

void menu_actions_jump_vault_from_one_location_to_another(void)
    {
    enqueue_request(MENU_ACTIONS_JUMP_VAULT_FROM_ONE_LOCATION_TO_ANOTHER);
    }

void menu_actions_mount_a_steed(void)
    {
    enqueue_request(MENU_ACTIONS_MOUNT_A_STEED);
    }

void menu_actions_move_to_a_city_location(void)
    {
    enqueue_request(MENU_ACTIONS_MOVE_TO_A_CITY_LOCATION);
    }

void menu_actions_open_a_door(void)
    {
    enqueue_request(MENU_ACTIONS_OPEN_A_DOOR);
    }

void menu_actions_open_an_item(void)
    {
    enqueue_request(MENU_ACTIONS_OPEN_AN_ITEM);
    }

void menu_actions_pet_an_animal(void)
    {
    enqueue_request(MENU_ACTIONS_PET_AN_ANIMAL);
    }

void menu_actions_push_a_creature_in_a_direction(void)
    {
    enqueue_request(MENU_ACTIONS_PUSH_A_CREATURE_IN_A_DIRECTION);
    }

void menu_actions_read_an_item(void)
    {
    enqueue_request(MENU_ACTIONS_READ_AN_ITEM);
    }

void menu_actions_rest_a_moment(void)
    {
    enqueue_request(MENU_ACTIONS_REST_A_MOMENT);
    }

void menu_actions_rest_or_wait_for_a_while(void)
    {
    enqueue_request(MENU_ACTIONS_REST_OR_WAIT_FOR_A_WHILE);
    }

void menu_actions_remove_an_item_from_a_container(void)
    {
    enqueue_request(MENU_ACTIONS_REMOVE_AN_ITEM_FROM_A_CONTAINER);
    }

void menu_actions_search_inspect_the_surrounding_area(void)
    {
    enqueue_request(MENU_ACTIONS_SEARCH_INSPECT_THE_SURROUNDING_AREA);
    }

void menu_actions_start_running(void)
    {
    enqueue_request(MENU_ACTIONS_START_RUNNING);
    }

void menu_actions_start_walking(void)
    {
    enqueue_request(MENU_ACTIONS_START_WALKING);
    }

void menu_actions_swap_places_with_a_creature(void)
    {
    enqueue_request(MENU_ACTIONS_SWAP_PLACES_WITH_A_CREATURE);
    }

void menu_actions_take_a_nap(void)
    {
    enqueue_request(MENU_ACTIONS_TAKE_A_NAP);
    }

void menu_actions_talk_to_another_person(void)
    {
    enqueue_request(MENU_ACTIONS_TALK_TO_ANOTHER_PERSON);
    }

void menu_actions_unequip_ie_remove_an_item_in_use(void)
    {
    enqueue_request(MENU_ACTIONS_UNEQUIP_IE_REMOVE_AN_ITEM_IN_USE);
    }

void menu_skills_animal_handling(void)
    {
    enqueue_request(MENU_SKILLS_ANIMAL_HANDLING);
    }

void menu_skills_chemistry(void)
    {
    enqueue_request(MENU_SKILLS_CHEMISTRY);
    }

void menu_skills_fishing(void)
    {
    enqueue_request(MENU_SKILLS_FISHING);
    }

void menu_skills_geography(void)
    {
    enqueue_request(MENU_SKILLS_GEOGRAPHY);
    }

void menu_skills_guess_actions(void)
    {
    enqueue_request(MENU_SKILLS_GUESS_ACTIONS);
    }

void menu_skills_herbalism(void)
    {
    enqueue_request(MENU_SKILLS_HERBALISM);
    }

void menu_skills_medicine(void)
    {
    enqueue_request(MENU_SKILLS_MEDICINE);
    }

void menu_skills_music_flute(void)
    {
    enqueue_request(MENU_SKILLS_MUSIC_FLUTE);
    }

void menu_skills_music_harp(void)
    {
    enqueue_request(MENU_SKILLS_MUSIC_HARP);
    }

void menu_skills_music_lute(void)
    {
    enqueue_request(MENU_SKILLS_MUSIC_LUTE);
    }

void menu_skills_music_organ(void)
    {
    enqueue_request(MENU_SKILLS_MUSIC_ORGAN);
    }

void menu_skills_music_singing(void)
    {
    enqueue_request(MENU_SKILLS_MUSIC_SINGING);
    }

void menu_skills_navigation(void)
    {
    enqueue_request(MENU_SKILLS_NAVIGATION);
    }

void menu_skills_repair(void)
    {
    enqueue_request(MENU_SKILLS_REPAIR);
    }

void menu_skills_technology_identification(void)
    {
    enqueue_request(MENU_SKILLS_TECHNOLOGY_IDENTIFICATION);
    }

void menu_skills_tinkering(void)
    {
    enqueue_request(MENU_SKILLS_TINKERING);
    }

void menu_skills_tracking(void)
    {
    enqueue_request(MENU_SKILLS_TRACKING);
    }

void menu_prayers_aegis_of_God(void)
    {
    enqueue_request(MENU_PRAYERS_AEGIS_OF_GOD);
    }

void menu_prayers_divine_sustenance(void)
    {
    enqueue_request(MENU_PRAYERS_DIVINE_SUSTENANCE);
    }

void menu_prayers_favor_with_man(void)
    {
    enqueue_request(MENU_PRAYERS_FAVOR_WITH_MAN);
    }

void menu_prayers_fire_from_heaven(void)
    {
    enqueue_request(MENU_PRAYERS_FIRE_FROM_HEAVEN);
    }

void menu_prayers_flying(void)
    {
    enqueue_request(MENU_PRAYERS_FLYING);
    }

void menu_prayers_guardian_angel(void)
    {
    enqueue_request(MENU_PRAYERS_GUARDIAN_ANGEL);
    }

void menu_prayers_healing(void)
    {
    enqueue_request(MENU_PRAYERS_HEALING);
    }

void menu_prayers_increase_attribute(void)
    {
    enqueue_request(MENU_PRAYERS_INCREASE_ATTRIBUTE);
    }

void menu_prayers_increase_faith(void)
    {
    enqueue_request(MENU_PRAYERS_INCREASE_FAITH);
    }

void menu_prayers_increase_skill(void)
    {
    enqueue_request(MENU_PRAYERS_INCREASE_SKILL);
    }

void menu_prayers_persuasion(void)
    {
    enqueue_request(MENU_PRAYERS_PERSUASION);
    }

void menu_prayers_providence(void)
    {
    enqueue_request(MENU_PRAYERS_PROVIDENCE);
    }

void menu_prayers_raise_dead(void)
    {
    enqueue_request(MENU_PRAYERS_RAISE_DEAD);
    }

void menu_prayers_restoration(void)
    {
    enqueue_request(MENU_PRAYERS_RESTORATION);
    }

void menu_prayers_reveal_terrain(void)
    {
    enqueue_request(MENU_PRAYERS_REVEAL_TERRAIN);
    }

void menu_prayers_shining_light(void)
    {
    enqueue_request(MENU_PRAYERS_SHINING_LIGHT);
    }

void menu_prayers_walk_on_water(void)
    {
    enqueue_request(MENU_PRAYERS_WALK_ON_WATER);
    }

void menu_other_allocate_experience(void)
    {
    enqueue_request(MENU_OTHER_ALLOCATE_EXPERIENCE);
    }

void menu_other_become_bellicose(void)
    {
    enqueue_request(MENU_OTHER_BECOME_BELLICOSE);
    }

void menu_other_charity_contact(void)
    {
    enqueue_request(MENU_OTHER_CHARITY_CONTACT);
    }

void menu_other_display_an_inventory_of_items_in_your_possession(void)
    {
    enqueue_request(MENU_OTHER_DISPLAY_AN_INVENTORY_OF_ITEMS_IN_YOUR_POSSESSION);
    }

void menu_other_display_license_statement(void)
    {
    enqueue_request(MENU_OTHER_DISPLAY_LICENSE_STATEMENT);
    }

void menu_other_display_skill_values(void)
    {
    enqueue_request(MENU_OTHER_DISPLAY_SKILL_VALUES);
    }

void menu_other_make_the_display_narrower(void)
    {
    enqueue_request(MENU_OTHER_MAKE_THE_DISPLAY_NARROWER);
    }

void menu_other_make_the_display_wider(void)
    {
    enqueue_request(MENU_OTHER_MAKE_THE_DISPLAY_WIDER);
    }

void menu_other_make_the_display_taller(void)
    {
    enqueue_request(MENU_OTHER_MAKE_THE_DISPLAY_TALLER);
    }

void menu_other_make_the_display_shorter(void)
    {
    enqueue_request(MENU_OTHER_MAKE_THE_DISPLAY_SHORTER);
    }

void menu_other_set_options(void)
    {
    enqueue_request(MENU_OTHER_SET_OPTIONS);
    }

void menu_other_set_your_haste_level(void)
    {
    enqueue_request(MENU_OTHER_SET_YOUR_HASTE_LEVEL);
    }

void menu_role_play_espiriticthus_the_cultures(void)
    {
    enqueue_request(MENU_ROLE_PLAY_ESPIRITICTHUS_THE_CULTURES);
    }

void menu_role_play_game_masters_introduction(void)
    {
    enqueue_request(MENU_ROLE_PLAY_GAME_MASTERS_INTRODUCTION);
    }

void menu_role_play_a_mathematical_model(void)
    {
    enqueue_request(MENU_ROLE_PLAY_A_MATHEMATICAL_MODEL);
    }

void menu_role_play_players_introduction(void)
    {
    enqueue_request(MENU_ROLE_PLAY_PLAYERS_INTRODUCTION);
    }


#endif
